### Method

# WPEWebKit NetworkProxySettings copy

since: 2.16

#### Declaration [src]

    WebKitNetworkProxySettings*
    webkit_network_proxy_settings_copy (
      WebKitNetworkProxySettings* proxy_settings
    )

#### Description [src]

Make a copy of the `WebKitNetworkProxySettings`.

Available since: 2.16

#### Return value

Type: `WebKitNetworkProxySettings`

A copy of passed in `WebKitNetworkProxySettings`.

The caller of the method takes ownership of the data, and is responsible for freeing it.